// Application Window Component Constructor, android specific
function ApplicationWindowPlatform(/*TiUIWindow*/self, /*TiUIView*/webView, /*boolean*/titleBarOn, /*boolean*/drawerOn) {
	// A note about the NavBar:
	// - We use the nav bar along with some navigation buttons on iOS.
	// - We use the menu on Android to handle forward/back
	// - For mobile web, we rely on the forward/back button in the browser

	if (titleBarOn) {
		// When the webview loads, set the title and enable the left/right nav button
		webView.addEventListener('load', function(e) {
			self.title = webView.evalJS('document.title');
		});
	}

	// Handle Android back button.
	self.addEventListener('android:back', function() {
		var arr = webView.getUrl().split('/');
		//alert("webview loaded:"+arr[arr.length-1]);
		var actualPage = arr[arr.length - 1];
		//alert("loading");if (arr[arr.length - 1] == "home.html")
		//alert(webView.getUrl());
		if (webView.canGoBack() && actualPage != "home.html") {
			if (actualPage != 'nearestlocationlisting.html')
				if(actualPage == 'directionlist.html')
				{
					webView.evalJS('backpage();');
				}
				else if(actualPage == 'discounts.html')
				{
					webView.evalJS('xhome();');
				}
				else if(actualPage == 'undefined')
				{
					webView.evalJS('window.location.href="home.html";');
				}
				else
				webView.goBack();
			else {
				Ti.App.fireEvent("removeAgain", {});
				webView.setUrl('/HTML/home.html');
			}
			/*	setTimeout(function(e) {
			 var arrNow = webView.getUrl().split('/');
			 if (arrNow[arrNow.length - 1] == actualPage) {
			 var forceGo = "";
			 //alert('dont worry going there.Inshallah');
			 if (actualPage == "indexlistingpage.html")
			 forceGo = "nearestlocationlisting.html";
			 else if (actualPage == "nearestlocationlisting.html")
			 forceGo = "home.html";
			 else if (actualPage == "directionlist.html")
			 forceGo = "getdirections.html";
			 else if (actualPage == "discounts.html")
			 forceGo = "home.html";
			 else if (actualPage == "barcode.html")
			 forceGo = "discounts.html";
			 else if (actualPage == "favorites.html")
			 forceGo = "home.html";
			 else
			 forceGo = "nearestlocationlisting.html";

			 // nothing happened after hardware back press so redirect to nearestlocationlisting.
			 webView.setUrl('/HTML/' + forceGo);
			 } else if (arrNow[arrNow.length - 1] == 'getdirections.html')
			 webView.setUrl('/HTML/nearestlocationlisting.html');
			 }, 500); */
		} else {
			self.close();
		}
	});

	if (drawerOn) {
		// Create the Android menu.
		var FORWARD = 1, BACK = 2;
		var activity = self.activity;
		activity.onCreateOptionsMenu = function(e) {
			var menu = e.menu;
			var menuItem = menu.add({
				title : L('back'),
				itemId : BACK
			});
			menuItem.setIcon('/images/LeftArrow.png');
			menuItem.addEventListener('click', function(e) {
				webView.goBack();
			});
			menuItem = menu.add({
				title : L('forward'),
				itemId : FORWARD
			});
			menuItem.setIcon('/images/RightArrow.png');
			menuItem.addEventListener('click', function(e) {
				webView.goForward();
			});
		};
		activity.onPrepareOptionsMenu = function(e) {
			var menu = e.menu;
			var menuItem = menu.findItem(BACK);
			menuItem.enabled = webView.canGoBack();
			menuItem = menu.findItem(FORWARD);
			menuItem.enabled = webView.canGoForward();
		};
	}
}

module.exports = ApplicationWindowPlatform;
